Skip to main content
GET
/
v1
/
threads
/
{id}
/
messages
Get thread messages
curl --request GET \
  --url https://api.openmail.sh/v1/threads/{id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "threadId": "<string>",
  "subject": "<string>",
  "data": [
    {
      "id": "<string>",
      "threadId": "<string>",
      "direction": "inbound",
      "fromAddr": "<string>",
      "toAddr": "<string>",
      "subject": "<string>",
      "bodyText": "<string>",
      "bodyHtml": "<string>",
      "attachments": [
        {
          "filename": "<string>",
          "contentType": "<string>",
          "sizeBytes": 123,
          "url": "<string>"
        }
      ],
      "status": "pending",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Thread with messages

threadId
string
subject
string
data
object[]